## mp3info 0.2.9-1

=== Makefile ===
# See README and mp3info.c for details

## Installation Paths

PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/man/man1

## DEFINE THE FOLLOWING TO INCLUDE EXPERIMENTAL PLAYER SUPPORT
## Linux *ONLY* for now.
## If anyone can tell me how to chirp out sounds on other computers, do so.
## This also enlarges the executable a tiny, winy bit.

## This will use l3dec, piped.
# PLAY_OBJS=mp3play.o
# PLAY_DEF=-DPLAYER -DL3DEC

## Define following if you have unregistered version.
# PLAY_DEF=-DPLAYER -DL3DEC -DL3UNREG

## This will use mp3 splay, available from
## http://adam.kaist.ac.kr/~jwj95
## If you didn't compile splay with threads, remove -DPTHREADED and -lpthread
#PLAY_DEF=-DPLAYER -DSPLAY -DPTHREADEDMPEG -D_REENTRANT=1
#PLAY_DIR=/usr/src/splay-0.8/
#PLAY_OBJS=mp3splay.o $(PLAY_DIR)mpegsound/libmpegsound.a
#PLAY_INC=-I$(PLAY_DIR)mpegsound -I$(PLAY_DIR)
#PLAY_LD=-lm -lpthread

MAJVER=0
MINVER=2
PATCHVER=9

CC = gcc

DEFINES = -DMAJVER=$(MAJVER) -DMINVER=$(MINVER) -DPATCHVER=$(PATCHVER) $(PLAY_DEF)
INCLUDES = $(PLAY_INC)
CFLAGS = -O3 -pipe $(DEFINES) $(INCLUDES) -Wall

PROGS = mp3info
MANPAGES = mp3info.1
LIBS =
LDFLAGS = $(PLAY_LD)

INFO_OBJS= mp3info.o tag.o layer.o mp3file.o mp3format.o $(PLAY_OBJS)

OBJS= $(INFO_OBJS)

all :	$(PROGS) email

mp3info : $(INFO_OBJS)
	$(CC) $(LDFLAGS) -o $@ $(INFO_OBJS) $(LIBS)

clean :
	rm -f *.o *.s $(PROGS) *~

install :	all
	strip $(PROGS)
	install -d $(BINDIR)
	install -d $(MANDIR)
	install -o root -g root -m 755 $(PROGS) $(BINDIR)
	install -o root -g root -m 644 $(MANPAGES) $(MANDIR)

dist :  clean
	./mklsm $(MAJVER) $(MINVER) $(PATCHVER)
	( rm -f mp3info*tar.gz ;\
	cp -vf mp3info.lsm /bimbo/home/ftp/pub/mp3info/ ; \
	cd .. ; \
	mv mp3info mp3info-$(MAJVER).$(MINVER).$(PATCHVER) ; \
	tar cvvf mp3info-$(MAJVER).$(MINVER).$(PATCHVER).tar mp3info-$(MAJVER).$(MINVER).$(PATCHVER) ;\
	gzip -9 -f mp3info-$(MAJVER).$(MINVER).$(PATCHVER).tar ; \
	ls -laF mp3info*tar.gz ; \
	mv -vf mp3info-$(MAJVER).$(MINVER).$(PATCHVER).tar.gz /bimbo/home/ftp/pub/mp3info/ ; \
	mv mp3info-$(MAJVER).$(MINVER).$(PATCHVER) mp3info ) 

lsm:	
	./mklsm $(MAJVER) $(MINVER) $(PATCHVER)
	echo >.msg "Subject: Add"
	cat >>.msg mp3info.lsm
	sendmail -fxeno@mix.hive.no lsm@execpc.com < .msg
	rm -f .msg

email:
	@echo "*********************************************"
	@echo "Please, please, please send me an email that"
	@echo "you're using this, does MIRACLES for my"
	@echo "selfesteem. Even if you don't like it, send"
	@echo "me an email :)"
	@echo "*********************************************"

.cc.o :
	$(CC) -c $(CFLAGS) -o $*.o $<

	
# DO NOT DELETE

=== debian/changelog ===
mp3info (0.2.9-1) unstable; urgency=low

  * New upstream release.
  * Moved to non-free due to vague wording (bug #14845).

 -- Clint Adams <schizo@debian.org>  Wed, 19 Nov 1997 02:56:44 -0500

mp3info (0.2.4-1) unstable; urgency=low

  * Initial Release.

 -- Clint Adams <schizo@debian.org>  Tue,  3 Jun 1997 14:09:30 -0400

Local variables:
mode: debian-changelog
add-log-mailing-address: "schizo@debian.org"
End:

=== debian/control ===
Source: mp3info
Section: non-free/sound
Priority: extra
Maintainer: Clint Adams <schizo@debian.org>
Standards-Version: 2.3.0.0

Package: mp3info
Architecture: any
Depends: ${shlibs:Depends}
Description: MPEG audio layer header info decoder
 A small utility to read and write TAG info, as well as retrieve the MP3
 Header info and print it all out in a nice format.
 .
 Features:
 - Get, Set and Wipe MP3 TAG Info.
 - Get MPEG Audio Version 1, 2 and 2.5 Header info.
 - Userdefinable output formatting (rather advanced).
 - Can rename files according to userdefined scheme.

## mp3info 0.8.4

=== Makefile ===
#   Makefile for MP3Info and GMP3Info
#
#   Copyright (C) 2000-2001  Cedric Tefft <cedric@earthling.net>
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# ***************************************************************************
#
#  This program is based in part on:
#
#	* MP3Info 0.5 by Ricardo Cerqueira <rmc@rccn.net>
#	* MP3Stat 0.9 by Ed Sweetman <safemode@voicenet.com> and 
#			 Johannes Overmann <overmann@iname.com>
#

# bindir = where binaries get installed (default = /usr/local/bin)
# mandir = where the manual page gets installed (default = /usr/local/man/man1)

prefix=/usr/local
bindir=${prefix}/bin
mandir = $(prefix)/man/man1

# No changes necessary below this line

PROG =	mp3info
SRCS =	mp3info.c textfunc.c mp3curs.c mp3tech.c
OBJS =  mp3info.o textfunc.o mp3curs.o mp3tech.o
XSRC =	gmp3info.c
XOBJ =  mp3tech.o
RM = /bin/rm
INSTALL = /usr/bin/install -c
STRIP = strip

LIBS = -lncurses
CC = gcc
CFLAGS = -g -O2 -Wall

all: mp3info gmp3info doc

doc: mp3info.txt

mp3info: $(OBJS)
	$(CC) $(CFLAGS) -o $@ $(OBJS) $(LIBS)

gmp3info: $(XSRC) $(XOBJ) 
	$(CC) $(XSRC) $(CFLAGS) -o $@ $(XOBJ) `gtk-config --cflags --libs`

mp3info.txt: mp3info.1
	groff -t -e -mandoc -Tascii mp3info.1 | col -bx > mp3info.txt

clean: 
	$(RM) -f $(OBJS) $(XOBJ) mp3info gmp3info core

dist: clean doc

distclean: clean
	$(RM) -f mp3info.txt

install: mp3info gmp3info
	$(STRIP) mp3info
	$(INSTALL) mp3info $(bindir)/mp3info
	$(STRIP) gmp3info
	$(INSTALL) gmp3info $(bindir)/gmp3info
	$(INSTALL) mp3info.1 $(mandir)/mp3info.1

uninstall:
	rm -f $(bindir)/mp3info
	rm -f $(bindir)/gmp3info
	rm -f $(mandir)/mp3info.1

## mp3info 0.8.5a

=== debian/changelog ===
mp3info (0.8.5a-5) unstable; urgency=medium

  * New maintainer. (Closes:#840050)

 -- Hugo Torres de Lima <hugotorres@protonmail.com>  Sat, 13 Nov 2021 13:45:50 -0300

mp3info (0.8.5a-4) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.6.0.
      - Ordered Build-Depends and Depends in alphabetical order.
      - Removed article at the beginning of the short description.
      - Updated debhelp-compat for version 13.
  * debian/copyright: Updated for format 1.0.
  * debian/patches/03_fix-spelling-error.patch: Created.
  * debian/patches/02_hardening.patch: Created.
  * debian/patches/import_diff.patch:
      - Added header.
      - Renamed to 01_import_diff.patch
  * debian/upstream/metadata: Created.
  * debian/watch:
      - Bumped to version 4.
      - Updated the source address.

 -- Hugo Torres de Lima <hugotorres@protonmail.com>  Fri, 12 Nov 2021 21:35:30 -0300

mp3info (0.8.5a-3) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 13 Feb 2021 03:40:52 +0000

mp3info (0.8.5a-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See: #840050)
  * Update Standards-Version to 4.5.0.
    - Update Priority to optional.
  * Update compate level to 12.
    - Add dependency on ${misc:Depends}.
  * Add dependency on libncurses6.
    - From changelog of version 0.8.5a-1+b3.
  * Mark source format as 3.0.
    - Import diff in patch format.
  * Simplify d/rules.
  * Point Vcs to salsa.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 17 Mar 2020 15:23:54 +0000

mp3info (0.8.5a-1) unstable; urgency=low

  * New upstream version
  * Drop debconf message about upgrade from an ancient version of package
    (closes: #388935, #411793, #412665, #440196, #469382)
  * No longer strip binaries during build (closes: #437582)
  * General packaging cleanup including fixing some lintian warnings, updating
    standards version, updating menu location, etc.

 -- Paweł Więcek <coven@debian.org>  Fri, 07 Mar 2008 22:10:47 +0100

mp3info (0.8.4-9.2) unstable; urgency=low

  * Non-maintainer upload to fix remaining l10n issues
  * Debconf templates translations:
    - Dutch added. Closes: #367385
    - Spanish updated. Closes: #384055

 -- Christian Perrier <bubulle@debian.org>  Mon, 22 Jan 2007 23:53:06 +0100

mp3info (0.8.4-9.1) unstable; urgency=low

  * Applied patch from Alec Berryman <alec@thened.net> (Closes: #368207)
  * Added an empty binary-indep target in debian/rules, to fix Lintian
    error message

 -- Carlos C Soto <csoto@sia-solutions.com>  Sun, 13 Aug 2006 19:10:14 -0500

mp3info (0.8.4-9) unstable; urgency=low

  * Changed debconf dependency to include debconf-2.0 (closes: #332032)
  * Added swedish translation of debconf templayes from Daniel Nylander
    <yeager@lidkoping.net> (closes: #331558)
  * Added italian translation of debconf templayes from Luca Monducci
    <luca.mo@tiscali.it> (closes: #335582)

 -- Pawel Wiecek <coven@debian.org>  Fri, 31 Mar 2006 21:53:52 +0200

mp3info (0.8.4-8) unstable; urgency=low

  * Applied patch from Gabor Gombas <gombasg@sztaki.hu> to fix out-of-bounds
    indexing problems and get rid of warnings on AMD64 (closes: #318269)
  * Updated standards-version (no changes needed)
  * Added vietnamese translation of debconf templates from Clytie Siddall
    <clytie@riverland.net.au> (closes: #312970)
  * Updated menus to current practice

 -- Pawel Wiecek <coven@debian.org>  Thu, 22 Sep 2005 21:38:50 +0200

mp3info (0.8.4-7) unstable; urgency=low

  * Return nonzero exit code when ID3 info should be displayed but is not
    available (closes: #169028, #228393)
  * Added japanese translation of debconf templates from Hideki Yamane
    <henrich@samba.gr.jp> (closes: #262741)
  * Added czech translation of debconf templates from Miroslav Kure
    <kurem@upcase.inf.upol.cz> (closes: #298212)

 -- Pawel Wiecek <coven@debian.org>  Thu, 19 May 2005 23:15:08 +0200

mp3info (0.8.4-6) unstable; urgency=low

  * Converted to gettext-based debconf templates (closes: #201244)
  * Updated standards version (no changes required)

 -- Pawel Wiecek <coven@debian.org>  Thu, 12 Feb 2004 14:57:37 +0100

mp3info (0.8.4-5) unstable; urgency=low

  * Got rid of multiline strings (closes: #196427)
  * Fixed unit names in various places (closes: #169680)
  * Updated standards version

 -- Pawel Wiecek <coven@debian.org>  Wed, 18 Jun 2003 14:12:38 +0200

mp3info (0.8.4-4) unstable; urgency=low

  * Added french translation of debconf templates (closes: #139919)
  * Reorganized templates

 -- Pawel Wiecek <coven@debian.org>  Tue, 26 Mar 2002 12:03:34 +0100

mp3info (0.8.4-3) unstable; urgency=low

  * Fixed a typo in package description

 -- Pawel Wiecek <coven@debian.org>  Thu, 16 Aug 2001 12:15:11 +0200

mp3info (0.8.4-2) unstable; urgency=low

  * Fixed debconf properties (closes: #106341)

 -- Pawel Wiecek <coven@debian.org>  Tue, 24 Jul 2001 10:27:47 +0200

mp3info (0.8.4-1) unstable; urgency=low

  * New upstream version
  * Fixed debian/config that failed on first installs (closes: #104475)

 -- Pawel Wiecek <coven@debian.org>  Wed, 18 Jul 2001 14:26:16 +0200

mp3info (0.8.3-9) unstable; urgency=low

  * Fixed build-depends (closes: #101985, #101990)
  * Added spanish translation of debconf templates (closes: #102141)

 -- Pawel Wiecek <coven@debian.org>  Mon, 25 Jun 2001 09:35:33 +0200

mp3info (0.8.3-8) unstable; urgency=low

  * Fixed two typos in manpage

 -- Pawel Wiecek <coven@debian.org>  Fri, 22 Jun 2001 09:42:13 +0200

mp3info (0.8.3-7) unstable; urgency=low

  * Added danish translation of debconf templates (closes: #100333)

 -- Pawel Wiecek <coven@debian.org>  Tue, 12 Jun 2001 15:42:18 +0200

mp3info (0.8.3-6) unstable; urgency=low

  * Fixes to debian/config
  * Updated standards-version



=== debian/control ===
Source: mp3info
Section: sound
Priority: optional
Maintainer: Hugo Torres de Lima <hugotorres@protonmail.com>
Build-Depends: debhelper-compat (= 13),
               bsdmainutils,
               groff-base,
               libgtk2.0-dev,
               libncurses-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/mp3info
Vcs-Git: https://salsa.debian.org/debian/mp3info.git
Homepage: https://www.ibiblio.org/mp3info/

Package: mp3info
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         debconf | debconf-2.0
Description: MP3 technical info viewer and ID3 1.x tag editor
 MP3Info has an interactive mode (using curses) and a command line mode.
 MP3Info can display ID3 tag information as well as various technical aspects
 of an MP3 file including playing time, bit-rate, sampling frequency and other
 attributes in a pre-defined or user-specifiable output format.
 .
 If you prefer GUI you should use mp3info-gtk package.

Package: mp3info-gtk
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: MP3 info viewer and ID3 1.x tag editor -- GTK+ version
 MP3Info can display ID3 tag information as well as various technical aspects
 of an MP3 file including playing time, bit-rate, sampling frequency and other
 attributes in a pre-defined or user-specifiable output format.
 .
 This package installs GTK+ version of mp3info. If you prefer command line
 or curses interface you should use mp3info package.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- DESTDIR=`pwd`/debian/mp3info
	dh_movefiles --sourcedir=debian/mp3info

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

=== debian/watch ===
version = 4
https://www.ibiblio.org/pub/linux/apps/sound/mp3-utils/mp3info/ mp3info-(\d\S+)\.(?:tgz|tbz|txz|tar\.(?:gz|bz2|xz))

## mp3info 0.8.5a+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #   Makefile for MP3Info and GMP3Info
 #
-#   Copyright (C) 2000-2001  Cedric Tefft <cedric@earthling.net>
+#   Copyright (C) 2000-2006 Cedric Tefft <cedric@phreaker.net>
 #
 #   This program is free software; you can redistribute it and/or modify
 #   it under the terms of the GNU General Public License as published by
@@ -55,7 +55,7 @@
 	$(CC) $(CFLAGS) -o $@ $(OBJS) $(LIBS)
 
 gmp3info: $(XSRC) $(XOBJ) 
-	$(CC) $(XSRC) $(CFLAGS) -o $@ $(XOBJ) `gtk-config --cflags --libs`
+	$(CC) $(XSRC) $(CFLAGS) -o $@ $(XOBJ) `pkg-config --cflags --libs gtk+-2.0`
 
 mp3info.txt: mp3info.1
 	groff -t -e -mandoc -Tascii mp3info.1 | col -bx > mp3info.txt
@@ -68,12 +68,17 @@
 distclean: clean
 	$(RM) -f mp3info.txt
 
-install: mp3info gmp3info
+install-mp3info: mp3info
 	$(STRIP) mp3info
 	$(INSTALL) mp3info $(bindir)/mp3info
+	$(INSTALL) mp3info.1 $(mandir)/mp3info.1
+
+install-gmp3info: gmp3info
 	$(STRIP) gmp3info
 	$(INSTALL) gmp3info $(bindir)/gmp3info
-	$(INSTALL) mp3info.1 $(mandir)/mp3info.1
+
+install: install-mp3info install-gmp3info
+
 
 uninstall:
 	rm -f $(bindir)/mp3info

=== debian/changelog ===
mp3info (0.8.5a+dfsg-1) unstable; urgency=medium

  * Removing support for gtk2. Consequently:
      - debian/control:
          - Removed libgtk2.0-dev in Build-Depends. (Closes: #967642)
          - Removed package: mp3info-gtk
      - debian/mp3info-gtk.dirs: Removed.
      - debian/mp3info-gtk.docs: Removed.
      - debian/mp3info-gtk.files: Removed.
      - debian/mp3info-gtk.menu: Removed.
  * debian/control: Bumped Standards-Version to 4.6.2.
  * debian/copyright: Updated.

 -- Hugo Torres de Lima <hugotorres@protonmail.com>  Sun, 20 Aug 2023 00:32:01 -0300

mp3info (0.8.5a+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Exclude win32 files. (Closes: #1043306)
  * Drop licenses contained in excluded files.
  * Drop unnecessary build dependency bsdmainutils.

 -- Bastian Germann <bage@debian.org>  Tue, 08 Aug 2023 22:29:30 +0200

=== debian/control ===
Source: mp3info
Section: sound
Priority: optional
Maintainer: Hugo Torres de Lima <hugotorres@protonmail.com>
Build-Depends: debhelper-compat (= 13),
               groff-base,
               libncurses-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/mp3info
Vcs-Git: https://salsa.debian.org/debian/mp3info.git
Homepage: https://www.ibiblio.org/mp3info/

Package: mp3info
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         debconf | debconf-2.0
Description: MP3 technical info viewer and ID3 1.x tag editor
 MP3Info has an interactive mode (using curses) and a command line mode.
 MP3Info can display ID3 tag information as well as various technical aspects
 of an MP3 file including playing time, bit-rate, sampling frequency and other
 attributes in a pre-defined or user-specifiable output format.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- mp3info doc

override_dh_auto_install:
	$(MAKE) DESTDIR=`pwd`/debian/mp3info install-mp3info
	dh_movefiles --sourcedir=debian/mp3info

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

=== debian/watch ===
version = 4
opts=dversionmangle=auto,repacksuffix=+dfsg \
https://www.ibiblio.org/pub/linux/apps/sound/mp3-utils/mp3info/ mp3info-(\d\S+)\.(?:tgz|tbz|txz|tar\.(?:gz|bz2|xz))
